image: dotsunited/git-ftp
pipelines:
 branches:
  staging:
     - step:
         name: Deploy Files to Staging
         deployment: staging
         script:
          - git ftp push --user "$SFTP_username_stg" --passwd "$SFTP_password_stg" "$SFTP_url_stg"
          - echo "Done deploy on staging"
 custom:
  deployment-to-prod:
  - step:
          name: Deploy Files to Production
          deployment: production
          script:
           - git ftp push --user "$SFTP_username_prod" --passwd "$SFTP_password_prod" "$SFTP_url_prod"
           - echo "Done deploy on prod"